Last Comment Bug 725200 - about:newtab briefly shown in location bar of new tab
: about:newtab briefly shown in location bar of new tab
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Location Bar (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 13
Assigned To: Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
:
Mentors:
Depends on: 855273
Blocks: 455553 724796
  Show dependency treegraph
 
Reported: 2012-02-07 20:00 PST by Joe Drew (not getting mail)
Modified: 2013-03-27 06:45 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (1.09 KB, patch)
2012-02-17 07:33 PST, Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
gavin.sharp: review+
Details | Diff | Splinter Review

Description Joe Drew (not getting mail) 2012-02-07 20:00:13 PST
If there is any text in the location bar when I open a new tab, the text "about:newtab" briefly flashes in the location bar before being cleared.
Comment 1 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-02-08 02:50:13 PST
Will be fixed by bug 716108.
Comment 2 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-02-17 07:31:56 PST
Bug 716108 seems blocked for now, I think we should fix this first on its own.
Comment 3 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-02-17 07:33:14 PST
Created attachment 598234 [details] [diff] [review]
patch v1
Comment 4 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-02-17 13:29:07 PST
https://hg.mozilla.org/integration/fx-team/rev/72404246638e
Comment 5 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-02-17 17:11:43 PST
https://hg.mozilla.org/mozilla-central/rev/72404246638e
Comment 6 Virgil Dicu [:virgil] [QA] 2012-02-21 05:12:35 PST
Mozilla/5.0 (X11; Linux x86_64; rv:13.0a1) Gecko/13.0a1 Firefox/13.0a1
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:13.0) Gecko/13.0 Firefox/13.0a1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/13.0 Firefox/13.0a1

Setting to verified on F13-latest Nightly. No flickers are visible when opening a new tab with text is entered in the location bar.

Note You need to log in before you can comment on or make changes to this bug.